Bug 1255607 - [de_DE] [Admin portal] Text overlap issue observed on configure->roles->new page.
[de_DE] [Admin portal] Text overlap issue observed on configure->roles->new p...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
All Linux
medium Severity medium
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Alexander Wels
Petr Kubica
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 02:54 EDT by Bhushan Barve
Modified: 2016-04-19 21:25 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:25:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
de_DE roles text overlap issue (109.82 KB, image/png)
2015-08-21 02:54 EDT, Bhushan Barve
no flags Details
New Role Dialog - German - Zoom in (106.36 KB, image/png)
2015-08-22 09:27 EDT, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45380 master MERGED webadmin: Role tree text height Never
oVirt gerrit 45463 ovirt-engine-3.6 MERGED webadmin: Role tree text height Never

  None (edit)
Description Bhushan Barve 2015-08-21 02:54:09 EDT
Description of problem: Text overlapping issue is observed on 
configure->roles->new page for de_DE locale. The Third option of 'Login Permissions' under system->configuration system contains overlapping text. Please refer attached screenshot.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.11.master.el6

How reproducible:
always

Steps to Reproduce:
1. login to Admin portal with de_DE locale.
2. go to configure->roles->new
3. observe the options under system->configuration system

Actual results:
Text overlap can be observed.

Expected results:
There should not be text overlap.

Additional info:
Comment 1 Bhushan Barve 2015-08-21 02:54:57 EDT
Created attachment 1065449 [details]
de_DE roles text overlap issue
Comment 2 Einav Cohen 2015-08-22 09:27:12 EDT
Created attachment 1065828 [details]
New Role Dialog - German - Zoom in
Comment 3 Einav Cohen 2015-08-22 09:33:16 EDT
It seems that when a node-text is very long and being cut to a second line, the node beneath it is not being "pushed down" in order to accommodate that; instead, it stays in place and the overlap occurs [see attachment 1065828 [details]]. 

We can try and resolve this in two ways:

(1) [easy, but eliminating this problem in the future is not guaranteed:] extend the width of the dialog, so that the long text will be rendered in a single line. 

(2) [probably more complex, but will prevent the problem from occurring in the future:] make sure that if a node-text is rendered over more than 1 line, the node beneath it will be pushed down accordingly to accommodate that. 

@Alexander, leaving this to your discretion.
Comment 4 Petr Kubica 2015-09-14 09:32:40 EDT
Verified in 3.6.0-0.15.master.el6

Note You need to log in before you can comment on or make changes to this bug.